// Controller.h

#import <appkit/appkit.h>
#import "SyntaxItem.h"

@interface Controller:Object
{
	// outlets
	id infoWindow;
	id configurationWindow;
	id regularExpression;
	id matchedSampleText;
	id numberOfItems;
	id itemNumber;
	id preferenceWindow;
    id defaultConfiguration;
	id matchedColorWell;
	id unmatchedColorWell;
	id unmatchedSampleText;

	id infoPanel;
	List *itemList;
	BOOL fileOpened;
}

- appDidInit:sender;
- (int)app:sender openFile:(const char *)path type:(const char *)type;
- (BOOL)appAcceptsAnotherFile:(Application *)sender;
- init;
- free;

- previousItem:sender;
- nextItem:sender;
- deleteItem:sender;
- insertItem:sender;
- (void)saveCurrentItem;
- (void)displayItem:(int)i;

- (BOOL)openDefaultConfiguration;
- openConfiguration:sender;
- (void)openNamedConfiguration:(const char *)name;
- newConfiguration:sender;
- saveConfiguration:sender;
- saveAsConfiguration:sender;
- revertToSavedConfiguration:sender;
- (BOOL)getConfigurationName;
- setMatchedColor:sender;
- setUnmatchedColor:sender;

- setDefaultConfigurationName:sender;

- showInfo:sender;

- suggestion:sender;

- colorSyntax:pasteboard 
	userData:(const char *)userData 
	error:(char **)message;
- (void)colorRTF:(Text *)text;

@end
